Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Interface ContactCenterInfo

All Known Subinterfaces:
  ContactCenterEval, ContactCenterSim, ContactCenterSimWithObservations, ContactCenterSimWithObservationSets, ObservableContactCenterSim

All Known Implementing Classes:
  AbstractCallCenterCTMCSim, AbstractCallCenterCTMCSimMP, AbstractCallCenterSim, AbstractContactCenterEval, AbstractContactCenterInfo, AbstractContactCenterSim, BasicCallCenterCTMCSim, BasicCallCenterCTMCSimMP, CallCenter, CallCenterCTMCSimSplit, CallCenterSim, CallCenterSimRQMC, CallCenterSimStrat, ContactCenterEvalResults, ContactCenterSimResults, IntMCallCenterCTMCSim, MBatchMeansSim

    public interface ContactCenterInfo

Represents an object capable of returning general information about a contact center.

Method Summary
`String` | `getAgentGroupName(int i)` Returns the name associated with the agent group identifier `i`.
`Map<String,String>` | `getAgentGroupProperties(int i)` This method is similar to `getContactTypeProperties(int)`, for agent groups instead of contact types.
`String` | `getAgentGroupSegmentName(int i)` Returns the name associated with the agent group segment `i`, where `i` is a number greater than or equal to 0 and smaller than `getNumAgentGroupSegments()`.
`Map<String,String>` | `getAgentGroupSegmentProperties(int i)` This method is similar to `getContactTypeProperties(int)`, for agent group segments instead of contact types.
`String` | `getContactTypeName(int k)` Returns the name associated with the contact type `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumContactTypes()`.
`Map<String,String>` | `getContactTypeProperties(int k)` Returns the properties associated with contact type `k`.
`String` | `getContactTypeSegmentName(int k)` Returns the name associated with the contact type segment `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumContactTypeSegments()`.
`Map<String,String>` | `getContactTypeSegmentProperties(int k)` This method is similar to `getContactTypeProperties(int)`, for contact type segments instead of contact types.
`TimeUnit` | `getDefaultUnit()` Returns the time unit in which output performance measures representing times are expressed.
`String` | `getInContactTypeSegmentName(int k)` Returns the name associated with the inbound contact type segment `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumInContactTypeSegments()`.
`Map<String,String>` | `getInContactTypeSegmentProperties(int k)` This method is similar to `getContactTypeProperties(int)`, for inbound contact type segments instead of contact types.
`String` | `getMainPeriodName(int mp)` Returns the name corresponding to the main period `mp`.
`String` | `getMainPeriodSegmentName(int mp)` Returns the name associated with the main period segment `mp`, where `mp` is a number greater than or equal to 0 and smaller than `getNumMainPeriodSegments()`.
`String` | `getMatrixOfAWTName(int m)` Returns the name associated with the matrix of AWTs with index `m`.
`int` | `getNumAgentGroups()` Returns the total number of agent groups supported by this contact center.
`int` | `getNumAgentGroupSegments()` Returns the number of user-defined segments regrouping agent groups.
`int` | `getNumAgentGroupsWithSegments()` Returns the number of agent groups including segments regrouping several agent groups.
`int` | `getNumContactTypes()` Returns the total number of contact types supported by this contact center.
`int` | `getNumContactTypeSegments()` Returns the number of user-defined segments regrouping contact types.
`int` | `getNumContactTypesWithSegments()` Returns the number of contact types including segments regrouping several contact types.
`int` | `getNumInContactTypes()` Returns the total number of inbound contact types for this contact center.
`int` | `getNumInContactTypeSegments()` Returns the number of user-defined segments regrouping inbound contact types.
`int` | `getNumInContactTypesWithSegments()` Returns the number of inbound contact types including segments regrouping several inbound contact types.
`int` | `getNumMainPeriods()` Returns the number of main periods used for evaluation, as defined in `PeriodChangeEvent`.
`int` | `getNumMainPeriodSegments()` Returns the number of user-defined segments regrouping main periods.
`int` | `getNumMainPeriodsWithSegments()` Returns the number of main periods including segments regrouping several main periods.
`int` | `getNumMatricesOfAWT()` Returns the number of matrices containing acceptable waiting times, for estimating service levels.
`int` | `getNumOutContactTypes()` Returns the total number of outbound contact types for this contact center.
`int` | `getNumOutContactTypeSegments()` Returns the number of user-defined segments regrouping outbound contact types.
`int` | `getNumOutContactTypesWithSegments()` Returns the number of outbound contact types including segments regrouping several outbound contact types.
`int` | `getNumWaitingQueues()` Returns the total number of waiting queues capable of storing contacts.
`int` | `getNumWaitingQueueSegments()` Returns the number of user-defined segments regrouping waiting queues.
`int` | `getNumWaitingQueuesWithSegments()` Returns the number of waiting queues including segments regrouping several waiting queues.
`String` | `getOutContactTypeSegmentName(int k)` Returns the name associated with the outbound contact type segment `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumOutContactTypeSegments()`.
`Map<String,String>` | `getOutContactTypeSegmentProperties(int k)` This method is similar to `getContactTypeProperties(int)`, for outbound contact type segments instead of contact types.
`String` | `getWaitingQueueName(int q)` Returns the name of the waiting queue with index `q` used by the evaluation.
`Map<String,String>` | `getWaitingQueueProperties(int q)` This method is similar to `getContactTypeProperties(int)`, for waiting queues instead of contact types.
`String` | `getWaitingQueueSegmentName(int q)` Returns the name associated with the waiting queue segment `q`, where `q` is a number greater than or equal to 0 and smaller than `getNumMainPeriodSegments()`.
`Map<String,String>` | `getWaitingQueueSegmentProperties(int q)` This method is similar to `getContactTypeProperties(int)`, for waiting queue segments instead of contact types.

Method Detail

### getNumContactTypes

    int getNumContactTypes()

  Returns the total number of contact types supported by this contact center. This should be the same as `getNumInContactTypes()``+` `getNumOutContactTypes()`.

  Returns:
    the total number of contact types.

### getNumInContactTypes

    int getNumInContactTypes()

  Returns the total number of inbound contact types for this contact center.

  Returns:
    the total number of inbound contact types.

### getNumOutContactTypes

    int getNumOutContactTypes()

  Returns the total number of outbound contact types for this contact center.

  Returns:
    the total number of outbound contact types.

### getNumAgentGroups

    int getNumAgentGroups()

  Returns the total number of agent groups supported by this contact center.

  Returns:
    the total number of agent groups.

### getNumWaitingQueues

    int getNumWaitingQueues()

  Returns the total number of waiting queues capable of storing contacts.

  Returns:
    the number of waiting queues.

### getNumMainPeriods

    int getNumMainPeriods()

  Returns the number of main periods used for evaluation, as defined in `PeriodChangeEvent`. For a steady-state evaluation on a single period, this always returns 1, even if the model defines several period.

  Returns:
    the total number of main periods.

### getNumContactTypeSegments

    int getNumContactTypeSegments()

  Returns the number of user-defined segments regrouping contact types.

  Returns:
    the number of segments regrouping contact types.

### getNumInContactTypeSegments

    int getNumInContactTypeSegments()

  Returns the number of user-defined segments regrouping inbound contact types.

  Returns:
    the number of segments regrouping inbound contact types.

### getNumOutContactTypeSegments

    int getNumOutContactTypeSegments()

  Returns the number of user-defined segments regrouping outbound contact types.

  Returns:
    the number of segments regrouping outbound contact types.

### getNumAgentGroupSegments

    int getNumAgentGroupSegments()

  Returns the number of user-defined segments regrouping agent groups.

  Returns:
    the number of segments regrouping agent groups.

### getNumMainPeriodSegments

    int getNumMainPeriodSegments()

  Returns the number of user-defined segments regrouping main periods.

  Returns:
    the number of segments regrouping main periods.

### getNumWaitingQueueSegments

    int getNumWaitingQueueSegments()

  Returns the number of user-defined segments regrouping waiting queues.

  The result of this method depends on the role of the waiting queues, which depends on the router's policy. For example, if waiting queues correspond to contact types, this returns the result of `getNumContactTypeSegments()`.

  Returns:
    the number of segments regrouping waiting queues.

### getNumContactTypesWithSegments

    int getNumContactTypesWithSegments()

  Returns the number of contact types including segments regrouping several contact types. If K≤1, this returns the result of `getNumContactTypes()`. Otherwise, this returns the sum of `getNumContactTypes()`, `getNumContactTypeSegments()`, and 1.

  Returns:
    the number of contact types including segments.

### getNumInContactTypesWithSegments

    int getNumInContactTypesWithSegments()

  Returns the number of inbound contact types including segments regrouping several inbound contact types. If ≤1, this returns the result of `getNumInContactTypes()`. Otherwise, this returns the sum of `getNumInContactTypes()`, `getNumInContactTypeSegments()`, and 1.

  Returns:
    the number of inbound contact types including segments.

### getNumOutContactTypesWithSegments

    int getNumOutContactTypesWithSegments()

  Returns the number of outbound contact types including segments regrouping several outbound contact types. If ≤1, this returns the result of `getNumOutContactTypes()`. Otherwise, this returns the sum of `getNumOutContactTypes()`, `getNumOutContactTypeSegments()`, and 1.

  Returns:
    the number of outbound contact types including segments.

### getNumAgentGroupsWithSegments

    int getNumAgentGroupsWithSegments()

  Returns the number of agent groups including segments regrouping several agent groups. If I≤1, this returns the result of `getNumAgentGroups()`. Otherwise, this returns the sum of `getNumAgentGroups()`, `getNumAgentGroupSegments()`, and 1.

  Returns:
    the number of agent groups including segments.

### getNumMainPeriodsWithSegments

    int getNumMainPeriodsWithSegments()

  Returns the number of main periods including segments regrouping several main periods. If P≤1, this returns the result of `getNumMainPeriods()`. Otherwise, this returns the sum of `getNumMainPeriods()`, `getNumMainPeriodSegments()`, and 1.

  Returns:
    the number of main periods including segments.

### getNumWaitingQueuesWithSegments

    int getNumWaitingQueuesWithSegments()

  Returns the number of waiting queues including segments regrouping several waiting queues. If the number of waiting queues is smaller than two, this returns the result of `getNumWaitingQueues()`. Otherwise, this returns the sum of `getNumWaitingQueues()`, `getNumWaitingQueueSegments()`, and 1.

  Returns:
    the number of waiting queues including segments.

### getContactTypeName

    String getContactTypeName(int k)

  Returns the name associated with the contact type `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumContactTypes()`. The first `getNumInContactTypes()` indices are inbound contact types whereas the remaining indices are outbound contact types. If no contact type name is available, this returns `null`.

  Parameters:
    `k` - the contact type identifier.
  Returns:
    the contact type name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the contact type identifier is negative or greater than or equal to `getNumContactTypes()`.

### getAgentGroupName

    String getAgentGroupName(int i)

  Returns the name associated with the agent group identifier `i`. If no name is associated with a given agent group, this returns `null`.

  Parameters:
    `i` - the identifier of the agent group.
  Returns:
    the agent group name, or `null`.
  Throws:
    `IndexOutOfBoundsException` - if the agent group identifier is negative or greater than or equal to `getNumAgentGroups()`.

### getMainPeriodName

    String getMainPeriodName(int mp)

  Returns the name corresponding to the main period `mp`. This can return `null` or an empty string for unnamed periods.

  Parameters:
    `mp` - the index of the main period.
  Returns:
    the name of the main period.

### getWaitingQueueName

    String getWaitingQueueName(int q)

  Returns the name of the waiting queue with index `q` used by the evaluation. If the waiting queue has no name, returns `null`.

  Parameters:
    `q` - the index of the waiting queue.
  Returns:
    the name of the waiting queue.
  Throws:
    `IndexOutOfBoundsException` - if the waiting queue identifier is negative or greater than or equal to `getNumWaitingQueues()`.

### getContactTypeSegmentName

    String getContactTypeSegmentName(int k)

  Returns the name associated with the contact type segment `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumContactTypeSegments()`. If no segment name is available, this returns `null`.

  Parameters:
    `k` - the contact type segment identifier.
  Returns:
    the segment name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the contact type segment identifier is negative or greater than or equal to `getNumContactTypeSegments()`.

### getInContactTypeSegmentName

    String getInContactTypeSegmentName(int k)

  Returns the name associated with the inbound contact type segment `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumInContactTypeSegments()`. If no segment name is available, this returns `null`.

  Parameters:
    `k` - the inbound contact type segment identifier.
  Returns:
    the segment name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the identifier of the segment regrouping inbound contact types is negative or greater than or equal to `getNumInContactTypeSegments()`.

### getOutContactTypeSegmentName

    String getOutContactTypeSegmentName(int k)

  Returns the name associated with the outbound contact type segment `k`, where `k` is a number greater than or equal to 0 and smaller than `getNumOutContactTypeSegments()`. If no segment name is available, this returns `null`.

  Parameters:
    `k` - the outbound contact type segment identifier.
  Returns:
    the segment name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the identifier of the segment regrouping outbound contact types is negative or greater than or equal to `getNumOutContactTypeSegments()`.

### getAgentGroupSegmentName

    String getAgentGroupSegmentName(int i)

  Returns the name associated with the agent group segment `i`, where `i` is a number greater than or equal to 0 and smaller than `getNumAgentGroupSegments()`. If no segment name is available, this returns `null`.

  Parameters:
    `i` - the agent group segment identifier.
  Returns:
    the segment name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the agent group segment identifier is negative or greater than or equal to `getNumAgentGroupSegments()`.

### getMainPeriodSegmentName

    String getMainPeriodSegmentName(int mp)

  Returns the name associated with the main period segment `mp`, where `mp` is a number greater than or equal to 0 and smaller than `getNumMainPeriodSegments()`. If no segment name is available, this returns `null`.

  Parameters:
    `mp` - the main period segment identifier.
  Returns:
    the segment name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the main period segment identifier is negative or greater than or equal to `getNumMainPeriodSegments()`.

### getWaitingQueueSegmentName

    String getWaitingQueueSegmentName(int q)

  Returns the name associated with the waiting queue segment `q`, where `q` is a number greater than or equal to 0 and smaller than `getNumMainPeriodSegments()`. If no segment name is available, this returns `null`.

  Parameters:
    `q` - the waiting queue segment identifier.
  Returns:
    the segment name or `null` if no name is defined.
  Throws:
    `IndexOutOfBoundsException` - if the main period segment identifier is negative or greater than or equal to `getNumMainPeriodSegments()`.

### getMatrixOfAWTName

    String getMatrixOfAWTName(int m)

  Returns the name associated with the matrix of AWTs with index `m`. This method returns `null` if no name is associated with the matrix. This name can be used, e.g., to give the AWT if the same AWT is used for all contact types and periods.

  Parameters:
    `m` - the index of the matrix of AWTs.
  Returns:
    the name associated with the matrix.
  Throws:
    `IllegalArgumentException` - if `m` is negative or greater than or equal to the value returned by `getNumMatricesOfAWT()`.

### getContactTypeProperties

    Map<String,String> getContactTypeProperties(int k)

  Returns the properties associated with contact type `k`. Properties are additional strings describing a contact type. This can include the language of the customers, the originating region, etc. If no property is defined for the given contact type, this method returns an empty map.

  Parameters:
    `k` - the contact type identifier.
  Returns:
    the map of properties.
  Throws:
    `IndexOutOfBoundsException` - if the contact type identifier is negative or greater than or equal to `getNumContactTypes()`.

### getAgentGroupProperties

    Map<String,String> getAgentGroupProperties(int i)

  This method is similar to `getContactTypeProperties(int)`, for agent groups instead of contact types.

  Parameters:
    `i` - the agent group identifier.
  Returns:
    the map of properties.

### getWaitingQueueProperties

    Map<String,String> getWaitingQueueProperties(int q)

  This method is similar to `getContactTypeProperties(int)`, for waiting queues instead of contact types.

  Parameters:
    `q` - the waiting queue identifier.
  Returns:
    the map of properties.

### getContactTypeSegmentProperties

    Map<String,String> getContactTypeSegmentProperties(int k)

  This method is similar to `getContactTypeProperties(int)`, for contact type segments instead of contact types.

  Parameters:
    `k` - the segment identifier.
  Returns:
    the map of properties.

### getInContactTypeSegmentProperties

    Map<String,String> getInContactTypeSegmentProperties(int k)

  This method is similar to `getContactTypeProperties(int)`, for inbound contact type segments instead of contact types.

  Parameters:
    `k` - the segment identifier.
  Returns:
    the map of properties.

### getOutContactTypeSegmentProperties

    Map<String,String> getOutContactTypeSegmentProperties(int k)

  This method is similar to `getContactTypeProperties(int)`, for outbound contact type segments instead of contact types.

  Parameters:
    `k` - the segment identifier.
  Returns:
    the map of properties.

### getAgentGroupSegmentProperties

    Map<String,String> getAgentGroupSegmentProperties(int i)

  This method is similar to `getContactTypeProperties(int)`, for agent group segments instead of contact types.

  Parameters:
    `i` - the segment identifier.
  Returns:
    the map of properties.

### getWaitingQueueSegmentProperties

    Map<String,String> getWaitingQueueSegmentProperties(int q)

  This method is similar to `getContactTypeProperties(int)`, for waiting queue segments instead of contact types.

  Parameters:
    `q` - the segment identifier.
  Returns:
    the map of properties.

### getNumMatricesOfAWT

    int getNumMatricesOfAWT()

  Returns the number of matrices containing acceptable waiting times, for estimating service levels. Usually, this returns 1.

  Returns:
    the number of matrices of acceptable waiting times.

### getDefaultUnit

    TimeUnit getDefaultUnit()

  Returns the time unit in which output performance measures representing times are expressed. If this method returns `null`, performance measures representing time are output as any other performance measures; no time conversion can be performed or time unit displayed.

  Returns:
    the default time unit.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.